import { NextFunction, Request, Response } from "express";
import { CompanyType } from "../models/company.modal";
import { createCompany } from "../services/company.service";
import { successResponse } from "../utils/response";

export const createCompanyController = async (
  req: Request,
  res: Response,
  next: NextFunction
) => {
  try {
    const { name } = req.body;
    if (!name) throw new Error("400:Name is required");

    const company = await createCompany(name);

    successResponse<CompanyType>(res, company);
  } catch (error) {
    next(error);
  }
};
