import { NextFunction, Request, Response } from "express";
import { errorResponse } from "../utils/response";

export const errorHandler = (
  err: Error,
  req: Request,
  res: Response,
  next: NextFunction
) => {
  if (err instanceof Error) {
    console.log(err);
    const errorCode = err.message.split(":")[0];
    const errorMessage = err.message.split(":")[1];
    errorResponse(res, errorCode, errorMessage);
  } else {
    console.log(err);
    errorResponse(res, "9999", "Internal server error");
  }
};
