import mongoose from "mongoose";

export interface CreateCompanyRequest {
  name: string;
}

export interface CompanyOptions {
  name?: string;
  secretKey?: string;
}

export interface CompanyType extends mongoose.Document {
  name: string;
  secretKey: string;
  createdAt: Date;
  updatedAt: Date;
}

const companySchema = new mongoose.Schema({
  name: { type: String, required: true, unique: true },
  secretKey: { type: String, required: true, unique: true },
  createdAt: { type: Date, default: Date.now },
  updatedAt: { type: Date, default: Date.now },
});

const Company = mongoose.model("Company", companySchema);

export default Company;
