import mongoose from "mongoose";

export interface UserPayloadRequest {
  name: string;
  amount: number;
  lobby: string;
}

export interface UserPayload extends UserPayloadRequest {
  iat: number;
  exp: number;
}

export interface CreateJwtTokenRequest extends UserPayload {
  companyName: string;
}

export interface UserType extends mongoose.Document {
  name: string;
  amount: number;
  lobby: string;
  token: string;
  count: number;
}

const userSchema = new mongoose.Schema({
  name: { type: String, required: true },
  amount: { type: Number, required: true },
  lobby: { type: String, required: true },
  token: { type: String, required: true },
  count: { type: Number, default: 0 },
  record: { type: Array, default: [] },
  createdAt: { type: Date, default: Date.now },
  updatedAt: { type: Date, default: Date.now },
});

const User = mongoose.model("User", userSchema);

export default User;
