import { Response } from "express";

export const successResponse = <T>(res: Response, data: T) => {
  res.status(200).json({
    message: "Success",
    data,
  });
};

export const errorResponse = (
  res: Response,
  errorCode: string,
  message: string
) => {
  switch (errorCode) {
    case "400":
      res.status(400).json({
        message,
      });
      break;
    case "401":
      res.status(401).json({
        message,
      });
      break;
    case "403":
      res.status(403).json({
        message,
      });
      break;
    case "404":
      res.status(404).json({
        message,
      });
      break;
    case "409":
      res.status(409).json({
        message,
      });
      break;
    case "9999":
      res.status(500).json({
        message,
      });
      break;
    default:
      res.status(500).json({
        message,
      });
      break;
  }
};
